"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unknownError = exports.getError = exports.errors = void 0;
const errors = {
    [0]: 'unknown_error',
    [1]: 'layouts_not_specified',
    [2]: 'coroner_token_missing',
};
exports.errors = errors;
const getError = (errno, msg) => {
    const obj = {
        error_number: errno,
        error_name: errors[errno],
        error_message: null,
    };
    if (msg) {
        obj.error_message = msg;
    }
    return obj;
};
exports.getError = getError;
const unknownError = (msg) => getError(3, msg);
exports.unknownError = unknownError;
//# sourceMappingURL=errors.js.map